InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::BVHJoint Struct Reference

BVH Joint Settings. More...

`#include <LogSettings.h>`

## Public Member Functions
| BVHJoint ()
| BVHJoint (std::wstring const &name, const unsigned nodeID, const unsigned parentID, const unsigned childIndex)
| BVHJoint (std::wstring const &argString)
std::wstring const | ToString () const
bool | IsRoot () const
bool | IsEndSite () const
bool | IsJoint () const
void | SetOffset (const double x, const double y, const double z)
void | SetPosition (const double x, const double y, const double z)

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
std::wstring | name
| The name of the joint.
unsigned | nodeID
| The unique nodeID of the joint, 0 for end sites.
unsigned | parentID
| The nodeID of the parent joint, 0 when root.
unsigned | childIndex
| The index within the parent joint.
double | offsetX
| The X-offset of the joint from the parent (length).
double | offsetY
| The Y-offset of the joint from the parent (width).
double | offsetZ
| The Z-offset of the joint from the parent (height).
double | posX
| The X-position of the joint (only for root).
double | posY
| The Y-position of the joint (only for root).
double | posZ
| The Z-position of the joint (only for root).

## Detailed Description

BVH Joint Settings.

Struct containing info for a BVHJoint, as used in LogWriterBVHSettings.

## Constructor & Destructor Documentation

## ◆ BVHJoint() [1/3]

inertia::BVHJoint::BVHJoint | ( |  | ) |

Default constructor.

## ◆ BVHJoint() [2/3]

inertia::BVHJoint::BVHJoint | ( | std::wstring const & | name,
|  | const unsigned | nodeID,
|  | const unsigned | parentID,
|  | const unsigned | childIndex )

Constructor with individual arguments.

Parameters

  name | the name of the joint
  nodeID | the nodeID of the joint
  parentID | the nodeID of the parent joint
  childIndex | the index within the parent joint

## ◆ BVHJoint() [3/3]

inertia::BVHJoint::BVHJoint | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates BVHJoint from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::BVHJoint::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for BVHJoint. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ IsEndSite()

bool inertia::BVHJoint::IsEndSite | ( |  | ) | const

Get if the BVHJoint is an end site.

Returns
  true when the joint an end site

## ◆ IsJoint()

bool inertia::BVHJoint::IsJoint | ( |  | ) | const

Get if the BVHJoint is an valid joint (not a root or end site).

Returns
  true when it is a valid joint

## ◆ IsRoot()

bool inertia::BVHJoint::IsRoot | ( |  | ) | const

Get if the BVHJoint is a root.

Returns
  true when the joint is a root

## ◆ SetOffset()

void inertia::BVHJoint::SetOffset | ( | const double | x,
|  | const double | y,
|  | const double | z )

Set the offset of the BVHJoint.

Parameters

  x | the X offset
  y | the Y offset
  z | the Z offset

## ◆ SetPosition()

void inertia::BVHJoint::SetPosition | ( | const double | x,
|  | const double | y,
|  | const double | z )

Set the position of the BVHJoint.

Parameters

  x | the X position
  y | the Y position
  z | the Z position

## ◆ ToString()

std::wstring const inertia::BVHJoint::ToString | ( |  | ) | const

Get a string representation of this BVHJoint. The string is compatible with GetOptionDescription() and BVHJoint(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- LogSettings.h